extends Node

var running: bool = false
var t: float = 0

func _process(delta):
	if (running):
		t += delta

func start():
	t = 0
	running = true

func stop():
	running = false

func getSeconds() -> int:
	return floor(t)

func getMinutes() -> int:
	return floor(t / 60)

func isRunning() -> bool:
	return running
